{% extends "fladmin/public/base.html" %}
{% block title %}添加参数{% endblock %}

{% block content %}
<h5 class="sub-header"><a href="{{'CMS_BASEHOST'|sysconfig}}/fladmin/sysconfig/index">系统配置参数</a> > 添加参数</h5>

<form id="addarc" method="post" action="{{'CMS_BASEHOST'|sysconfig}}/fladmin/sysconfig/add" role="form" enctype="multipart/form-data"
    class="table-responsive">
    <table class="table table-striped table-bordered">
        <tbody>
            <tr>
                <td align="right">
                    <font color="red">*</font>参数名称：
                </td>
                <td><input name="varname" type="text" id="varname" value="CMS_" class="required" style="width:30%"
                        placeholder="在此输入参数变量">(必须是字母)</td>
            </tr>
            <tr>
                <td align="right">
                    <font color="red">*</font>参数说明：
                </td>
                <td><input name="info" type="text" id="info" value="" style="width:60%"></td>
            </tr>
            <tr>
                <td align="right">
                    <font color="red">*</font>参数值：
                </td>
                <td><textarea name="value" rows="5" id="value"
                        style="width:80%;height:70px;vertical-align:middle;"></textarea></td>
            </tr>
            <tr>
                <td colspan="2"><button type="submit" class="btn btn-success"
                        value="Submit">保存(Submit)</button>&nbsp;&nbsp;<button type="reset" class="btn btn-default"
                        value="Reset">重置(Reset)</button><input type="hidden"></input></td>
            </tr>
        </tbody>
    </table>
</form><!-- 表单结束 -->

<script>
    $(function () {
        var bempty = true;
        $(".required").blur(function () {
            var $parent = $(this).parent();
            $parent.find(".formtips").remove();
            if (this.value == "") {
                $parent.append(
                    ' <small class="formtips onError"><font color="red">不能为空！</font></small>');
            } else {
                if (bempty) {
                    $parent.append(
                        ' <small class="formtips onSuccess"><font color="green">OK</font></small>');
                }
            }
        });

        //重置
        $('#addarc input[type="reset"]').click(function () {
            $(".formtips").remove();
        });

        $("#addarc").submit(function () {
            $(".required").trigger('blur');
            var numError = $('#addarc .onError').length;

            if (numError) {
                return false;
            }
        });
    });
</script>
{% endblock %}